Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002469TestLinkTest Executepublic2009-05-04 21:072010-05-01 20:34
ReporterJulian 
Assigned ToJulian 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.9 Beta 2 
Summary0002469: CFG-Parameters to show notes/details on test-execution
DescriptionIt would be nice to be able to set parameters that make Testplan-Notes,build-description and testsuite details visible by default on test execution without having to click the "arrow-icon".
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0006962)
schlundus (reporter)
2009-05-20 01:24

As long as bulk dispaly is not enabled, the performance loss seems minimal
(0006984)
mhavlat (reporter)
2009-05-21 02:12

Cookies should remember the last state and applied it during the page loading. No new configuration is required.
(0007387)
Julian (reporter)
2009-06-29 20:31

if it isn't a big effort, i would prefer forcing the opening of those details via parameter. This is because we put necessary information into the description of e.g. the testsuite.
If this is resolved by using a cookie this information could still be overlooked.

something like:

$tlCfg->exec_cfg->expand_testplan_notes = ENABLED;
$tlCfg->exec_cfg->expand_build_description = ENABLED;
$tlCfg->exec_cfg->expand_testsuite_details = ENABLED;
(0008352)
fman (administrator)
2009-11-29 18:14

@Julian:
I think you can implement your own request, now that you have people to do this.
what do you think ?
config option must be
$tlCfg->exec_cfg->show_open = new stdClass();
$tlCfg->exec_cfg->show_open->testplan_notes = ENABLED;
$tlCfg->exec_cfg->show_open->build_description = ENABLED;
$tlCfg->exec_cfg->show_open->testsuite_details = ENABLED;
(0008356)
Julian (reporter)
2009-11-29 18:32

i will take a look. low priority. main focus is on requirement managment.
(0008359)
mhavlat (reporter)
2009-11-30 00:28

Guys, this configuration parameters solve nearly nothing. I am far to imagine that 20 testers using TL in one company will have easy agreement to set these parameters.
Using cookies will allow anybody has own configuration with minimum effort for development.
(0008365)
Julian (reporter)
2009-11-30 05:04

big disadvantage is that tester has to open test suite content for the first time. if he is forced to see the content he gets all necessary information.

i prefer forcing the user to see information.
(0008366)
mhavlat (reporter)
2009-11-30 06:19

In this case you can implement these configuration parameters with three states:
closed, opened, last_value.
Last_value should be default value.

I agree with such design then.
(0008374)
fman (administrator)
2009-12-01 18:46

>> Guys, this configuration parameters solve nearly nothing,
>>I am far to imagine that 20 testers using TL in one company will have easy
>> agreement to set these parameters.
this is your opinion.
same thing can be applied to any sinlge TL configuration.
This can be thought as default system value, then can be used in conjuntion with a cookie.
Then if cookies is not defined => use system config,
Someday we will allow users to save his/her preference in a better way than cookie => on db.
(0008400)
fman (administrator)
2009-12-05 17:27

After re-reading, I'm agree with Martin solution, implementation will be:

// CLOSED: ignore user choice saved on cookie
// OPENED: ignore user choice saved on cookie
// LAST_VALUE: use user choice saved on cookie

$tlCfg->exec_cfg->show_open = new stdClass();
$tlCfg->exec_cfg->show_open->testplan_notes = LAST_VALUE;
$tlCfg->exec_cfg->show_open->build_description = LAST_VALUE;
$tlCfg->exec_cfg->show_open->testsuite_details = LAST_VALUE;
(0008445)
Julian (reporter)
2009-12-08 23:19

Feature passed tests.
Feature works for normal execution and bulk execution.

- Issue History
Date Modified Username Field Change
2009-05-04 21:07 Julian New Issue
2009-05-20 01:24 schlundus Note Added: 0006962
2009-05-21 02:12 mhavlat Note Added: 0006984
2009-06-29 20:31 Julian Note Added: 0007387
2009-11-29 18:14 fman Note Added: 0008352
2009-11-29 18:14 fman Status new => assigned
2009-11-29 18:14 fman Assigned To => Julian
2009-11-29 18:32 Julian Note Added: 0008356
2009-11-30 00:28 mhavlat Note Added: 0008359
2009-11-30 05:04 Julian Note Added: 0008365
2009-11-30 06:19 mhavlat Note Added: 0008366
2009-12-01 18:46 fman Note Added: 0008374
2009-12-05 17:27 fman Note Added: 0008400
2009-12-08 23:19 Julian Note Added: 0008445
2009-12-08 23:19 Julian Status assigned => resolved
2009-12-08 23:19 Julian Fixed in Version => 1.9 (DEV)
2009-12-08 23:19 Julian Resolution open => fixed
2010-05-01 20:34 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker